Ubuntu

Lucid guest won't boot with acpi in virtualbox

Reported by Martin Erik Werner on 2010-01-21
150
This bug affects 44 people
Affects Status Importance Assigned to Milestone
Linux
Invalid
Medium
Virtualbox
Fix Released
Unknown
linux (Ubuntu)
Medium
Unassigned
Jaunty
Undecided
Unassigned
Karmic
Undecided
Unassigned
virtualbox-ose (Ubuntu)
Undecided
Unassigned
Jaunty
High
Unassigned
Karmic
High
Unassigned

Bug Description

Lucid is unable to boot as a guest operating system in VirtualBox when having acpi enabled.
Applies to Karmic & earlier versions of VirtualBox

------

TEST CASE:
0.1 Boot a pre-Lucid release of ubuntu
0.2 Install VirtualBox
1. Create a new virtual machine in VirtualBox
2. Attach a Lucid liveCD (e.g. beta1) and start the virtual machine
* The machine is unable to boot
! Expected is that the machine should be able to boot

Workaround:
Either disable acpi in the VirtualBox settings, or use acpi=off as a kernel parameter when booting.

Impact:
This affects the testing of Lucid as well as running any distributions with a newer kernel.
The number of affected users can be expected to increase

Scope:
Issue first triggered on kernel 2.6.32-11 in Lucid and is present on all later versions.
This seems to apply to all versions of VirtualBox prior to 3.1.4 beta (OSE and PUEL) when booting Lucid (or any other system with a newer kernel). That is, all versions prior to Lucid's (Karmic & Jaunty confirmed)

Fix:
Changesets r26129 (http://www.virtualbox.org/changeset/26129) and r26130 (http://www.virtualbox.org/changeset/26130) from upstream SVN fixes this bug, and testing of these through patched PPA package (https://launchpad.net/~arand/+archive/virtualbox) seems to be successful

Martin Erik Werner (arand) wrote :
Martin Erik Werner (arand) wrote :

When starting with recovery mode -11 kernel hangs where shown by attached screenshot

apport information

tags: added: apport-collected
description: updated

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

apport information

tags: removed: needs-upstream-testing
tags: added: virtualbox
Martin Erik Werner (arand) wrote :

The upstream kernel version tested was linux-image-2.6.33-999-generic

Perryg (phalbert) wrote :

I too am seeing this. (2.6.32-11-generic) Forced boot in recovery mode shows boot stuck at "SMP alternatives: switching to UP code" and an apparent kernel panic. Processor almost totally maxed out. No way to proceed or shut down except forced. Regress to previous kernel (2.6.32-10-generic) allows normal operation.

nanog (sorenimpey) on 2010-01-21
Changed in linux (Ubuntu):
status: New → Confirmed
Leo Plotkin (lplotkin) wrote :

This bug appears to be ACPI related. It's possible to boot the 2.6.32-11-generic kernel by enabling ACPI in VirtualBox. The obvious 'nosmp noacpi' grub boot flags simply made the kernel hang after 'hlt' instruction test instead.

Perryg (phalbert) wrote :

Interesting & strange, ACPI is set to true by default and has been deprecated in the settings area of the GUI in VirtualBox for the last several versions. I did check and the ACPI flag is set to true. I changed it to false and it boots. The only way to change it is via VBoxManage modifyvm <uuid|machine name> --acpi on|off. (unless you want to manually edit the machine.xml file) So disabling it allowed it to work for me. Still I would think that it should work with it on, so there still must be something amiss.

Perryg (phalbert) wrote :

One more thing while it will allow Lucid to boot without the ACPI, shutting it down is another thing. Hangs on exit and since I don't have ACPI I can not send the proper shutdown signal.

Leo Plotkin (lplotkin) wrote :

Looks like something in the kernel is tickling a bug in VirtualBox. Depending on whether or not ACPI is enabled (closed source version still has enable/disable ACPI as a functioning checkbox, at least on a windows host) the -pae kernel may boot, while the non-pae kernel hangs as described.

The -pae kernel functions best, being able to boot without ACPI and also shut down. Unfortunately, it doesn't have drm.ko (or DRM support at all), so the vboxvideo module fails to load.

Looks like the only workaround is the -10 kernel for now.

Perryg (phalbert) wrote :

Man I hate to beat a horse to death but the PUEL version 3.1.2r56127-Win of VirtualBox does not have the ability to turn the ACPI on and off in the GUI. I looked again and it is not there. It was deprecated in version 3.1.0 and replaced with Enable EFI.The only way to control it is with VBoxManage.
Here it is from the book.

"In addition, you can turn off the Advanced Configuration and Power Interface (ACPI) which VirtualBox presents to the guest operating system by default. ACPI is the current industry standard to allow operating systems to recognize hardware, configure motherboards and other devices and manage power. As all modern PCs contain this feature and Windows and Linux have been supporting it for years, it is also enabled by default in VirtualBox. It can be turned off on the command line; e see Section 8.7, “VBoxManage modifyvm”."

Turning PAE on or off makes no difference for me. As well as IO APIC. Since this is the 32 bit desktop version I really didn't think that either would do a lot of good.
Anyway I am just reporting this so someone will know and have a chance to fix it. I can run this in the -10 kernel and wait for the fix.

Leo Plotkin (lplotkin) wrote :

Confirming that Perryg is correct re: vm settings. I was using a downrev version of virtualbox to look at the UI. The rest is correct, however -- disabling ACPI works around the kernel hang, but has other issues.

IO APIC and PAE options in virtualbox don't seem to have an effect, however the -pae kernel functions better than the non-pae kernel for me (it is able to shut down cleanly).

Martin Erik Werner (arand) wrote :

Just to mention, I'm seeing this exact same thing on the karmic version of vbox-ose

Perryg (phalbert) wrote :

Looks, like this is going to be fixed in the next release (VirtualBox Version 3.1.4)
Release 3.1.4-B2 already has it and fixes this problem in the software virtualization version (32 bit) but is not recommended in production environments.

description: updated
summary: - Latest -11 kernel won't boot, -10 works, Lucid
+ -11 & later kernels won't boot with acpi, -10 works, Lucid
tags: added: acpi
Changed in linux:
status: Unknown → Confirmed
Daniel T Chen (crimsun) on 2010-02-07
Changed in linux (Ubuntu):
importance: Undecided → Medium

According to comment #28, this appears to be a bug with virtualbox and not the kernel. I am changing the bug properties accordingly.

Changed in linux (Ubuntu):
status: Confirmed → Invalid
Perryg (phalbert) wrote :

This is correct. I am running it now and have no problems. We are in beta-2 now and the final should be released soon.
presently using 2.6.32-12-generic x86_32 in VirtualBox 3.1.4-B2 PUEL. The problem did not seem to exist in the x86_64 versions.

Martin Erik Werner (arand) wrote :

Is this the issue described in http://www.virtualbox.org/ticket/6100 ?

And in that case, How do we get this into the current virtualbox versions in karmic (jaunty?) to allow for testing lucid?

Chase Douglas (chasedouglas) wrote :

@arand:

Since this issue seems to be virtualbox and not the kernel, you should probably close the kernel.org bug too.

Thanks

Perryg (phalbert) wrote :

Yes.

The only place that I know of that has the fix (in Beta) is virtualbox.org.
http://download.virtualbox.org/virtualbox/3.1.4_BETA2/

Again this is a beta release and not for production environments. The release date has not been published yet but it looks to be soon.

Changed in virtualbox:
status: Unknown → New
Changed in linux:
status: Confirmed → Invalid
Changed in virtualbox:
status: New → Fix Released
Changed in virtualbox-ose (Ubuntu):
status: New → Confirmed
Martin Erik Werner (arand) wrote :

I've pulled the changesets r26129 and r26130 from uppstream svn and implemented as a backport patch, rough debdiff attached, and packages available in my "virtualbox" PPA (nil safety included).

Martin Erik Werner (arand) wrote :

Would anyone care to check if this issue exists in the hardy and intrepid versions of virtualbox-ose?

summary: - -11 & later kernels won't boot with acpi, -10 works, Lucid
+ Lucid guest won't boot with acpi in virtualbox
description: updated
Martin Erik Werner (arand) wrote :

I've had diverging reports on whether this occurs in Lucid. One stating that it boots fine with acpi, and my own testing which seems to indicate that it doesn't:
I've booted a liveCD of lucid and ran a lucid CD in vbox from there, it does get further than the karmic/jaunty version of virtualbox, but it instead stalls by the end of the plymouth screen, after pausing for a long while at the point where it stopped completely on karmic/jaunty.

I've tested applying the patch here as well, and it does make a difference and it instead boots fine. But I'm curious as to the divergence of reports..

Attaching a debdiff for Lucid as well, and uploading packages to my PPA for testing.

Grant Bowman (grantbow) wrote :

Lucid still boots to a black hanging screen in Lucid with the Karmic virtualbox for me. Using F6 and acpi=off allows a live cd image boot when running testdrive. Is the newer virtualbox available in a PPA somewhere?

Martin Erik Werner (arand) wrote :

Yes testing packages for the patched virtualbox-ose, for karmic and lucid currently, are available from my PPA: https://edge.launchpad.net/~arand/+archive/virtualbox

tags: added: patch
Andrew Gorcester (andrewsg) wrote :

I can confirm that arand's patched virtualbox-ose from his PPA does solve the problem on my Ubuntu 9.10 host/10.04 client.

Martin Erik Werner (arand) wrote :

This bug seems to be no longer present on the version of virtualbox that is in current Lucid, hence setting the status to fixed.

We will still need a SRU to get the patch back to karmic, jaunty (hardy?).

Changed in virtualbox-ose (Ubuntu):
status: Confirmed → Fix Released

Am Freitag, 19. März 2010 00:28:11 schrieb arand:
> This bug seems to be no longer present on the version of virtualbox that
> is in current Lucid, hence setting the status to fixed.

No. With the no-acpi option I can install lucid, but after the first boot it
still crashes. Blue bars start to move from left to right but after 20% of the
size the virtual machine crashes.

Greetings,

--
Dr. Michael Schwartzkopff
MultiNET Services GmbH
Addresse: Bretonischer Ring 7; 85630 Grasbrunn; Germany
Tel: +49 - 89 - 45 69 11 0
Fax: +49 - 89 - 45 69 11 21
mob: +49 - 174 - 343 28 75

mail: <email address hidden>
web: www.multinet.de

Sitz der Gesellschaft: 85630 Grasbrunn
Registergericht: Amtsgericht München HRB 114375
Geschäftsführer: Günter Jurgeneit, Hubert Martens

---

PGP Fingerprint: F919 3919 FF12 ED5A 2801 DEA6 AA77 57A4 EDD8 979B
Skype: misch42

description: updated
tags: removed: regression-potential
tags: removed: apport-bug apport-collected
Michael Schwartzkopff (misch) wrote :

Hi,

works for me now in Lucid beta release.

Greetings,

Michael Schwartzkopff

Martin Erik Werner (arand) wrote :

Added proposed patch for jaunty, and packages in my PPA, basically a clone of Karmic patch.

Changed in linux (Ubuntu Jaunty):
status: New → Invalid
Changed in linux (Ubuntu Karmic):
status: New → Invalid
Changed in virtualbox-ose (Ubuntu Jaunty):
status: New → Triaged
Changed in virtualbox-ose (Ubuntu Karmic):
status: New → Triaged
Changed in virtualbox-ose (Ubuntu Jaunty):
importance: Undecided → High
Changed in virtualbox-ose (Ubuntu Karmic):
importance: Undecided → High
Martin Erik Werner (arand) wrote :

As far as hardy goes, the behaviour is similar, however this here fix does nothing to help it, so presumably the issue is different or has company with additional bugs, and I don't use hardy currently so will probably not actively lok into that.
As for intrepid, just a month left to EOL...

Karmic (and Jaunty) still highly relevant though.

Martin Erik Werner (arand) wrote :

Fixed debdiff with karmic-proposed target.

Martin Erik Werner (arand) wrote :

Fixed debdiff with karmic-proposed target.

Martin Erik Werner (arand) wrote :

Whoops, double-done there.

Fixed debdiff with jaunty-proposed target.

Subscribing SRU team

Mark Foster (fostermarkd) wrote :

Trying this on lucid beta2
With acpi=off kernel arg it boots up fine and I can install.
Without acpi=off it boots extremely sluggish and debinstaller is unusable.

In both cases, the VirtualBox settings have ACPI enabled.

Martin Erik Werner (arand) wrote :

@Mark
What version of virtualbox is this?
If host is Lucid with matching virtualbox, it will likely be a separate bug, since this particular specific bug should be fixed. Please report a new one.

If host is Karmic with matching virtualbox, this bug hasn't been backported yet, still awaiting word from the SRU team on that.
Although similarly, this bug and fix is related to the kernel not being able to /boot/, anything past that I would assume to be a separate issue.

Benjamin Drung (bdrung) wrote :

uploaded to karmic-proposed and jaunty-proposed

Jonathan Riddell (jr) wrote :

waiting on ack from ubuntu-sru before accepting into -proposed

Accepted virtualbox-ose into jaunty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in virtualbox-ose (Ubuntu Jaunty):
status: Triaged → Fix Committed
tags: added: verification-needed
Changed in virtualbox-ose (Ubuntu Karmic):
status: Triaged → Fix Committed
Colin Watson (cjwatson) wrote :

Accepted virtualbox-ose into karmic-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Hagen (hagenf) wrote :

amd64 version from jaunty-proposed works fine for me.

Martin Pitt (pitti) wrote :

Thanks for testing! Still keeping v-needed tag for karmic package.

tags: added: verification-done
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-ose - 2.1.4-dfsg-1ubuntu3.1

---------------
virtualbox-ose (2.1.4-dfsg-1ubuntu3.1) jaunty-proposed; urgency=low

  * Patch to fix acpi issue on newer kernels (LP: #510571), based on
    changesets r26129 and r26130 from svn
    - debian/patches/u03-unbreak-acpi-with-newer-kernels.dpatch
 -- Arand Nash <email address hidden> Fri, 26 Mar 2010 21:44:15 +0100

Changed in virtualbox-ose (Ubuntu Jaunty):
status: Fix Committed → Fix Released
Colin Watson (cjwatson) on 2010-05-26
tags: removed: verification-done
undefined (undefined) wrote :

this bug is present in hardy's virtualbox-ose (1.5.6-dfsg-6ubuntu1) while trying to boot ubuntu-10.04-netbook-i386.iso but is easily worked around by disabling ACPI in the GUI for the desired virtual machine.

Martin Erik Werner (arand) wrote :

@undefined:
Yes, I'm aware of that problem, but as stated earlier, it does not seem as though the patch here fixes it, so presumably there are more issues in need of addressing in the hardy version of virtualbox. And I really don't have many a clue on how to do so.

Since the version in hardy is quite old there are a lot of revisions that have gone into vbox since, and the way to solve it would be to figure out what specific revision(s), presumably in addition to the ones in this here patch, which does address the issue. Or simply request that a later version of virtualbox be put in the -backports repository, which may be added by users if need be.

I do not intend to poke any further in this matter currently.

Hagen (hagenf) wrote :

I tested on Karmic now and the version in karmic-proposed works fine for me.

Martin Erik Werner (arand) wrote :

Hence marking as verification-done

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package virtualbox-ose - 3.0.8-dfsg-1ubuntu1.1

---------------
virtualbox-ose (3.0.8-dfsg-1ubuntu1.1) karmic-proposed; urgency=low

  * Patch to fix acpi issue on newer kernels (LP: #510571), based on
     changesets r26129 and r26130 from svn
     - debian/patches/u03-unbreak-acpi-with-newer-kernels.dpatch
 -- Arand Nash <email address hidden> Fri, 26 Mar 2010 20:36:30 +0000

Changed in virtualbox-ose (Ubuntu Karmic):
status: Fix Committed → Fix Released
Changed in linux:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.